Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Lua Development Tools » Problems with Lua Remote Application
Problems with Lua Remote Application [message #1388315] Thu, 26 June 2014 08:56 Go to next message
Dennis Lipschinski is currently offline Dennis LipschinskiFriend
Messages: 4
Registered: June 2014
Junior Member
Hello,

first of all thank you for this great project.
So now my problem, debugging with "lua attach application" works great (lua runs on an embedded linux machine), this is why i think that my general setup seems to be fine (luasocks and so on).

My script looks like this:
require("debugger")("192.168.0.100", 10000, "luaidekey")
local function main()
print("Hello world")
end
main()


If I want to start this script as "debug" "lua remote application" i get the error message box "Debugger process was unexpectedly terminated".
If I start a "run" "lua remote application" everything works great. And the output appears in "Console", in this example "Hello World" Wink.
So please can somebody tell my the difference in the "ssh call" between run and release. Or is it possible to get kind of a logfile of the communication or deeper error messages.

Kind Regards Dennis
Re: Problems with Lua Remote Application [message #1388523 is a reply to message #1388315] Thu, 26 June 2014 15:06 Go to previous messageGo to next message
Simon Bernard is currently offline Simon BernardFriend
Messages: 290
Registered: July 2009
Senior Member
hi,

Could you tell me the version of LDT you currently use ?
The v1.2 could be more verbose.
The only difference between run and debug mode is debugger bootstrapping. If you use lua remote application you should NOT have this line in your code :
require("debugger")("192.168.0.100", 10000, "luaidekey")

This is done automatically.
Your problem could be a LUA_PATH/LUA_CPATH problem, luasocket could not required and the process crash.

Simon
Re: Problems with Lua Remote Application [message #1389065 is a reply to message #1388523] Fri, 27 June 2014 09:21 Go to previous message
Dennis Lipschinski is currently offline Dennis LipschinskiFriend
Messages: 4
Registered: June 2014
Junior Member
Hello Simon,
thank you for your response.
I thought i had the newest version, but I had the wrong update site in eclipse.
So after changing it to "http://download.eclipse.org/koneki/releases/milestones" and updating to:
  Lua Development Tools - Remote Development Support	1.2.0.201405191403	org.eclipse.koneki.ldt.remote.feature.group	Eclipse Koneki

Everything runs fine, under linux and windows.


Dennis
Previous Topic:How document multi inherit
Next Topic:Unable to make autocoplete working
Goto Forum:
  


Current Time: Tue Dec 23 00:53:28 GMT 2014

Powered by FUDForum. Page generated in 0.01573 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software